WelcomeWelcome | FAQFAQ | DownloadsDownloads | WikiWiki

Author Topic: Mopidy and Python gst plugins  (Read 1355 times)

Offline duncanmead

  • Newbie
  • *
  • Posts: 10
Mopidy and Python gst plugins
« on: October 09, 2020, 08:13:45 AM »
Hi. I am trying to install Mopidy on my Raspberry Pi Zero running TinyCore 11.0 with the intention of using the Pirate Audio board to act as a music player. I want to use this in the car, which will cut the power when turned off, hence my choice of TinyCore to protect the SDcard, and also boots very quickly. I have installed the Python components : python3.8.tcz, python3.8-pip.tcz, gstreamer.tcz, and I have installed Mopidy via Python3 PIP. But I am missing some gtreamer tczs. These are in the TinyCore 9.0 library, but not in 11.0. Specifically I need the following:     
    python3-gst-1.0 \
    gir1.2-gstreamer-1.0 \
    gir1.2-gst-plugins-base-1.0 \
    gstreamer1.0-plugins-good \
    gstreamer1.0-plugins-ugly \
    gstreamer1.0-tools
Is there a way I can easily rebuild these for release 11.0?
I am new to TinyCore, and fairly new to linux, so apologies if I am asking for something quite basic.
Duncan

Online Juanito

  • Administrator
  • Hero Member
  • *****
  • Posts: 13331
Re: Mopidy and Python gst plugins
« Reply #1 on: October 09, 2020, 08:28:11 AM »
gst-plugins-bad, gst-plugins-bad-gir, gst-plugins-base-gir, gst-plugins-base, gst-plugins-good, gst-plugins-ugly, gstreamer and gstreamer-gir are all present in the armv7 repo.

gst-plugins-{good, bad, ugly} had not been included in the armv6 repo as one or more of their deps would not compile for armv6 - this being said, they may work for your purpose as many of the deps are optional.

I suspect gstreamer-tools are probably included in the above, but you would need to compile python-gst.

« Last Edit: October 09, 2020, 09:37:24 AM by Juanito »

Offline duncanmead

  • Newbie
  • *
  • Posts: 10
Re: Mopidy and Python gst plugins
« Reply #2 on: October 09, 2020, 08:52:35 AM »
Thanks Juanito. Can you point me to an easy guide showing me how to compile python-gst?

Online Juanito

  • Administrator
  • Hero Member
  • *****
  • Posts: 13331
Re: Mopidy and Python gst plugins
« Reply #3 on: October 09, 2020, 09:13:57 AM »
You could try something analogous to this: http://tinycorelinux.net/7.x/x86_64/tcz/src/gst-python3/compile_gst-python

..with -march=armv6zk -mtune=arm1176jzf-s -mfpu=vfp in place of -mtune=generic

Offline duncanmead

  • Newbie
  • *
  • Posts: 10
Re: Mopidy and Python gst plugins
« Reply #4 on: October 09, 2020, 10:33:00 AM »
Thanks, but I have got a bit lost with this.
I used "tce-load -w gstreamer-dev", which worked
I had to wget py3gobject-dev.tcz from here: http://ftp.nluug.nl/os/Linux/distr/tinycorelinux/11.x/armv7/tcz/
I then ran "tce-load -i" for both files - both installed successfully, and are running.
I then looked for any library called get-python* to CD to, but could not find any.
So I created one.
But the command "edit configure" is not recognised.
The command "for ac_prog in python3 python3.3 python3.2 python3.1 python3.0
minver = (2,8,0,'final',0)" fails expecting "do"

I think that I am missing something basic here.

Online Rich

  • Administrator
  • Hero Member
  • *****
  • Posts: 9573
Re: Mopidy and Python gst plugins
« Reply #5 on: October 09, 2020, 10:47:59 AM »
Hi duncanmead
... But the command "edit configure" is not recognised.
The command "for ac_prog in python3 python3.3 python3.2 python3.1 python3.0
minver = (2,8,0,'final',0)" fails expecting "do" ...

The file contains notes as well as commands, and that was a note to open the  configure  file with an editor.

Juanito will correct me if I'm wrong, but I think you need to search the file for:
Code: [Select]
for ac_prog in python3and add your version number of python to the list.
Search for:
Code: [Select]
minver = and maybe set it to:
Code: [Select]
(2,8,0,'final',0)

Offline duncanmead

  • Newbie
  • *
  • Posts: 10
Re: Mopidy and Python gst plugins
« Reply #6 on: October 10, 2020, 08:20:44 AM »
Thanks for your response. I think my main problem at this point is that I don't have a library called gst-python-1.8.1, or anything like it. I have downloaded and installed the two tczs, but they did not create this library. Consequently, I don't have a file called configure, and so I can't make the changes you suggest. What process should have created this library?

Online Rich

  • Administrator
  • Hero Member
  • *****
  • Posts: 9573
Re: Mopidy and Python gst plugins
« Reply #7 on: October 10, 2020, 08:44:18 AM »
Hi duncanmead
... Consequently, I don't have a file called configure, and so I can't make the changes you suggest. ...

You need the source package. The one used in the link that Juanito provided can be found here:
http://tinycorelinux.net/7.x/x86_64/tcz/src/gst-python3/

It came from here if you want to look for a more recent version:
https://gstreamer.freedesktop.org/src/gst-python/gst-python-1.8.1.tar.xz

Online Juanito

  • Administrator
  • Hero Member
  • *****
  • Posts: 13331
Re: Mopidy and Python gst plugins
« Reply #8 on: October 10, 2020, 09:11:16 AM »
gst-python3.8 posted

Offline duncanmead

  • Newbie
  • *
  • Posts: 10
Re: Mopidy and Python gst plugins
« Reply #9 on: October 10, 2020, 10:28:08 AM »
Thank you very much Juanito. I was getting a bit lost there. Now downloading the other requirements